.onboarding__courses--container {
  background-color: #F7F3EE;
}

.onboarding__courses {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: 0 auto;
  padding: 2rem 0 6rem 0;
  max-width: 1160px;
  width: 100%;
  font-size: 16px;
  gap: 1rem;
}

@media(max-width: 1160px) {
  .onboarding__courses {
    padding: 1rem 0
  }
}

.onboarding__courses h1,
.onboarding__courses h2,
.onboarding__courses .section__title {
  font-size: 25px !important;
  letter-spacing: normal;
  text-transform: initial;
  padding: 0 1rem;
  max-width: 90%;
  font-weight: 500;
}

.onboarding__courses .section__title {
  margin: 1rem auto;
  max-width: 450px;
  width: 100%;
  text-align: center;
}
@media(max-width: 960px) {
  .onboarding__courses .section__title {
    text-align: start;
  }
}

.onboarding__courses .courses {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  overflow-x: auto;
  overflow-y: hidden;
  max-width: 100%;
}
@media(max-width: 1280px) {
  .onboarding__courses .courses {
    padding: 0 1rem 1rem 1rem;
  }
}
@media(max-width: 960px) {
  .onboarding__courses .courses::-webkit-scrollbar {
    display: none;
  }
}

.onboarding__courses .onboarding__course {
  min-width: 250px;
  scroll-snap-align: center;
}

.onboarding__courses .onboarding__course.disabled {
  display: none;
}

.onboarding__courses .onboarding__course .header {
  max-height: 311px;
  min-height: 311px;
  min-width: 250px;
  width: 100%;
  border-radius: 10px;
  margin-bottom: 1rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 2rem;
  position: relative;
  overflow: hidden;
  z-index: 2;
}

@media(max-width: 960px) {
  .onboarding__courses .onboarding__course .header {
    padding: 1rem;
    min-width: auto;
  }
}

.onboarding__courses .onboarding__course .header .header__course-image {
  position: absolute;
  bottom: 0;
  right: 0;
  max-height: 300px;
  max-width: 300px;
  z-index: -2;
}

@media(max-width: 960px) {
  .onboarding__courses .onboarding__course .header .header__course-image {
    bottom: 0;
    width: 180px;
  }
}

.onboarding__courses .onboarding__course .header .header__course-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.onboarding__courses .onboarding__course.course__1 .header,
.onboarding__courses .onboarding__course.course__2 .header,
.onboarding__courses .onboarding__course.course__3 .header,
.onboarding__courses .onboarding__course.course__4 .header {
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.onboarding__courses .onboarding__course.course__1 .header,
.onboarding__courses .onboarding__course.course__3 .header {
  background-image: url('./images/first_course_background.png');
}
.onboarding__courses .onboarding__course.course__2 .header,
.onboarding__courses .onboarding__course.course__4 .header {
  background-image: url('./images/second_course_background.png');
}

.onboarding__course .main .main__title {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.onboarding__course .main .main__title {
  margin-bottom: 1rem;
}

.onboarding__course .main .course__content--title {
  font-size: 16px !important;
  letter-spacing: normal;
  text-transform: initial;
  margin: 0;
}

.onboarding__course .main .course__content--score .star {
  color: #F6A800;
}

@media(max-width: 960px) {
  .onboarding__course .main .course__content--score .reviews-text {
    display: none;
  }
}

.onboarding__course .main__description {
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}
.onboarding__course .main__description .see__more--checkbox {
  display: none;
}

.onboarding__course .main__description .course__content--description {
  color: #536884;
  margin-bottom: 0;
}

@media(max-width: 960px) {
  .onboarding__course .main__description {
    margin-bottom: 3rem;
  }
  .onboarding__course .main__description .course__content--description {
    -webkit-line-clamp: 3;
    line-clamp: 3;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    transform: .5s ease;
  }
  .onboarding__course .main__description .see__more--checkbox {
    display: block;
    width: 0;
    height: 0;
    visibility: none;
    border: 0;
    padding: 0;
    margin: 0;
  } 

  .onboarding__course .main__description .see__more--checkbox::before {
    content: "See more";
    color: #F6A800;
    display: block;
    width: 150px;
    height: 50px;
    text-decoration: underline;
    cursor: pointer;
  }

  .onboarding__course .main__description .see__more--checkbox:checked:before {
    content: "See less";
  }

  .onboarding__course .main__description:has(.see__more--checkbox:checked) .course__content--description {
    display: block;
  }
 }

.onboarding__course .course__title {
  max-width: 230px;
  width: 100%;
  margin-bottom: 1rem;
  padding: 0;
  font-weight: 600;
}
@media(max-width: 580px) {
  .onboarding__course .course__title {
    max-width: 100%;
  } 
}

.onboarding__course .course__type {
  background-color: #DFEAFA;
  width: auto;
  padding: 6px 10px 6px 10px;
  display: flex;
  align-items: center;
  gap: .5rem;
  border-radius: 5px;
  color: #223146;
  font-weight: 500;
  font-size: 14px;
}